import numpy as np
import matplotlib.pyplot as plt
import sys
from scipy import stats

##############################################

plt.rcParams['axes.grid'] = True
plt.rc('axes', axisbelow=True)

fig = plt.figure(figsize=(7, 2.5))
grid = plt.GridSpec(1, 100, wspace=35, bottom=0.2)

fig1=fig.add_subplot(grid[0,:62])
fig2=fig.add_subplot(grid[0,62:])

x0=np.arange(0,6, dtype=int)
x1=np.arange(0,4, dtype=int)

##############################################

av=[]
st_dev=[]

dat10=np.sum(np.genfromtxt("h1_0.xvg", usecols=1))
dat11=np.sum(np.genfromtxt("h1_1.xvg", usecols=1))
dat12=np.sum(np.genfromtxt("h1_2.xvg", usecols=1))
dat13=np.sum(np.genfromtxt("h1_3.xvg", usecols=1))
dat14=np.sum(np.genfromtxt("h1_4.xvg", usecols=1))
dat15=np.sum(np.genfromtxt("h1_5.xvg", usecols=1))

dat20=np.sum(np.genfromtxt("h2_0.xvg", usecols=1))
dat21=np.sum(np.genfromtxt("h2_1.xvg", usecols=1))
dat22=np.sum(np.genfromtxt("h2_2.xvg", usecols=1))
dat23=np.sum(np.genfromtxt("h2_3.xvg", usecols=1))
dat24=np.sum(np.genfromtxt("h2_4.xvg", usecols=1))
dat25=np.sum(np.genfromtxt("h2_5.xvg", usecols=1))


dat0= dat20 - dat10
dat1= dat21 - dat11
dat2= dat22 - dat12
dat3= dat23 - dat13
dat4= dat24 - dat14
dat5= dat25 - dat15

##############################################

av.append(dat2)
av.append(dat4)
av.append(dat3)
av.append(dat5)
av.append(dat0)
av.append(dat1)

##############################################

av=np.asarray(av)

fig1.bar(x0, -av, color='r', width=0.38, edgecolor=['darkred']*len(x0), alpha=0.8)

##############################################

av=[]
st_dev=[]

dat10=np.sum(np.genfromtxt("../holo/h1_0.xvg", usecols=1))
dat11=np.sum(np.genfromtxt("../holo/h1_1.xvg", usecols=1))
dat12=np.sum(np.genfromtxt("../holo/h1_2.xvg", usecols=1))
dat13=np.sum(np.genfromtxt("../holo/h1_3.xvg", usecols=1))

dat20=np.sum(np.genfromtxt("../holo/h2_0.xvg", usecols=1))
dat21=np.sum(np.genfromtxt("../holo/h2_1.xvg", usecols=1))
dat22=np.sum(np.genfromtxt("../holo/h2_2.xvg", usecols=1))
dat23=np.sum(np.genfromtxt("../holo/h2_3.xvg", usecols=1))

dat0= dat20 - dat10
dat1= dat21 - dat11
dat2= dat22 - dat12
dat3= dat23 - dat13

##############################################

av.append(dat0)
av.append(dat3)
av.append(dat2)
av.append(dat1)

##############################################

av=np.asarray(av)

fig2.bar(x1, -av, color='r', width=0.4, edgecolor=['darkred']*len(x1), alpha=0.8)

##############################################

fig1.set_xlabel('Cluster ID', fontsize=9)
fig1.set_ylabel('RMSF(H1) - RMSF(H2) (nm)', fontsize=9)
fig1.set_xticks(ticks=x0)
fig1.set_ylim(-2, 2)
fig1.set_xlim(-0.5, 5.5)
fig1.tick_params(axis='both', which='major', labelsize=9)
fig1.grid(True)
fig1.set_title('Apo', fontsize=10)

fig2.set_xlabel('Cluster ID', fontsize=9)
fig2.set_xticks(ticks=x1)
fig2.set_ylim(-2, 2)
fig2.set_xlim(-0.5, 3.5)
fig2.tick_params(axis='both', which='major', labelsize=9)
fig2.tick_params(labelleft=False)
fig2.grid(True)
fig2.set_title('Holo', fontsize=10)

fig1.set_axisbelow(True)
fig2.set_axisbelow(True)

plt.tight_layout()
plt.show()


